(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.1' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     21128,        564]
NotebookOptionsPosition[     19493,        526]
NotebookOutlinePosition[     19921,        543]
CellTagsIndexPosition[     19878,        540]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"<<", "VilCretas`"}]], "Input",
 CellChangeTimes->{{3.815307560872032*^9, 
  3.8153075642667866`*^9}},ExpressionUUID->"598afc19-aa3f-4a0c-85db-\
d3be449b5c22"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"grafo", "=", 
  RowBox[{"Grafo", "[", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a", ",", "b"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"a", ",", "h"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"b", ",", "h"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"b", ",", "j"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"b", ",", "c"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"b", ",", "d"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"c", ",", "d"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"d", ",", "k"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"d", ",", "f"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"d", ",", "e"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"e", ",", "f"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"f", ",", "g"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"f", ",", "h"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"f", ",", "l"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"g", ",", "h"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"h", ",", "i"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "j"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "l"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"j", ",", "k"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"k", ",", "l"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"e", ",", "g"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"g", ",", "c"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"a", ",", "j"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"l", ",", "m"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"e", ",", "m"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"n", ",", "m"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"l", ",", "n"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"n", ",", "i"}], "}"}]}], "}"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.8153076038437824`*^9, 3.8153077736338882`*^9}, {
   3.815307923435903*^9, 3.8153081975371532`*^9}, 3.815308289542038*^9, {
   3.8153083258308177`*^9, 3.8153085636118336`*^9}, {3.8153086017987146`*^9, 
   3.8153086208074846`*^9}, {3.8153288862952294`*^9, 3.815328910677035*^9}, {
   3.8153299081013126`*^9, 3.8153299084898725`*^9}, {3.8153906323282185`*^9, 
   3.815390633318289*^9}},
 CellLabel->
  "In[107]:=",ExpressionUUID->"96556553-88c0-4503-b9ab-f15e6461129e"],

Cell[BoxData[
 GraphicsBox[
  NamespaceBox["NetworkGraphics",
   DynamicModuleBox[{Typeset`graph = HoldComplete[
     Graph[{$CellContext`a, $CellContext`b, $CellContext`h, $CellContext`j, \
$CellContext`c, $CellContext`d, $CellContext`k, $CellContext`f, \
$CellContext`e, $CellContext`g, $CellContext`l, $CellContext`i, \
$CellContext`m, $CellContext`n}, {
      Null, {{1, 2}, {1, 3}, {2, 3}, {2, 4}, {2, 5}, {2, 6}, {5, 6}, {6, 7}, {
       6, 8}, {6, 9}, {9, 8}, {8, 10}, {8, 3}, {8, 11}, {10, 3}, {3, 12}, {12,
        4}, {12, 11}, {4, 7}, {7, 11}, {9, 10}, {10, 5}, {1, 4}, {11, 13}, {9,
        13}, {14, 13}, {11, 14}, {14, 12}}}, {
      ImagePadding -> 10, VertexLabels -> {"Name"}}]]}, 
    TagBox[GraphicsGroupBox[{
       {Hue[0.6, 0.7, 0.5], Opacity[0.7], LineBox[CompressedData["
1:eJxTTMoPSmVmYGCQAWImKIaBAqu4/1/6j9pfePV9bij3QfvuKwdvLV3x1h5d
vmGn+om+D6/tbepOrTktiikf9XCuBIPwS7g4unno+tHlCelP8E26nvFmvX3A
PpdUY/f/GPr9VsvUOKe+tQ9dYHNa1+Ynhn0mzzQvvfzy095GnHmCWQWm/JSX
slceNb6317Co375MmtEBXT6xQ8X2zMZ/9hsm/b+qEnkYw73zLl9x+5393X7e
pRTrwr2PMOTR9aP7B9396PLo7kNXj24/ujy6/9HlC2Y22rv6/7f/oq/GrqHK
6IBu3hmxkz66YcwOV86LPPht/hrDPHT96PLo7keXRzcf3Tx0/ejyNUrKjtvl
ORyy+Y/UP7vyHcM89PBHlyek/yxb7PbvZRwOr9aW1Ioev4dhHro8unno8gCb
wKQR
         "]]}, 
       {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
        0.7]}], {DiskBox[{0., 0.16845571965355388}, 0.030654654585931654], 
         InsetBox["a", 
          Offset[{2, 2}, {0.030654654585931654, 0.19911037423948552}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.13315839970876775, 0.9268368980980467}, 
          0.030654654585931654], 
         InsetBox["b", 
          Offset[{2, 2}, {0.1638130542946994, 0.9574915526839783}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.8731149586945293, 0.9089105963539121}, 
          0.030654654585931654], 
         InsetBox["h", 
          Offset[{2, 2}, {0.9037696132804609, 0.9395652509398438}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.7835693817897138, 0.}, 0.030654654585931654], 
         InsetBox["j", 
          Offset[{2, 2}, {0.8142240363756454, 0.030654654585931654}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.0623505366249002, 1.9548829990198051}, 
          0.030654654585931654], 
         InsetBox["c", 
          Offset[{2, 2}, {0.09300519121083185, 1.9855376536057368}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.9186112808286937, 1.5771921099603976}, 
          0.030654654585931654], 
         InsetBox["d", 
          Offset[{2, 2}, {0.9492659354146253, 1.6078467645463292}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.463862682995774, 0.5856252822910226}, 
          0.030654654585931654], 
         InsetBox["k", 
          Offset[{2, 2}, {1.4945173375817056, 0.6162799368769543}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.6222933015363994, 1.5918489098998654}, 
          0.030654654585931654], 
         InsetBox["f", Offset[{2, 2}, {1.652947956122331, 1.622503564485797}],
           ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.9568531494820398, 2.143142753460774}, 
          0.030654654585931654], 
         InsetBox["e", 
          Offset[{2, 2}, {1.9875078040679715, 2.1737974080467057}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.984605230608667, 2.138501580781867}, 
          0.030654654585931654], 
         InsetBox["g", 
          Offset[{2, 2}, {1.0152598851945986, 2.1691562353677987}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.4170785902850636, 0.8505839706981484}, 
          0.030654654585931654], 
         InsetBox["l", Offset[{2, 2}, {2.4477332448709954, 0.88123862528408}],
           ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.9184076679598763, 0.1511579556382876}, 
          0.030654654585931654], 
         InsetBox["i", 
          Offset[{2, 2}, {1.949062322545808, 0.18181261022421924}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{3.015486248860098, 1.4894776335576931}, 
          0.030654654585931654], 
         InsetBox["m", Offset[{2, 2}, {3.04614090344603, 1.5201322881436248}],
           ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{3.0580896687759833, 0.48090111972370997}, 
          0.030654654585931654], 
         InsetBox["n", 
          Offset[{2, 2}, {3.088744323361915, 0.5115557743096416}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}}}],
     MouseAppearanceTag["NetworkGraphics"]],
    AllowKernelInitialization->False]],
  DefaultBaseStyle->{
   "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
  FormatType->TraditionalForm,
  FrameTicks->None,
  ImagePadding->10]], "Output",
 CellChangeTimes->{{3.815308464493293*^9, 3.8153084979077187`*^9}, {
   3.815308539420105*^9, 3.8153085643782835`*^9}, {3.815308614131265*^9, 
   3.8153086214973807`*^9}, 3.8153289114705687`*^9, 3.8153299092571783`*^9, 
   3.815413077827509*^9, 3.81541326059735*^9, 3.8154199965801315`*^9, 
   3.815422546186826*^9},
 CellLabel->
  "Out[107]=",ExpressionUUID->"5a845fa1-9de8-4b60-bab3-4c465546d6c0"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"BuscarPrimeroAncho", "[", 
  RowBox[{"grafo", ",", 
   RowBox[{"orden", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
     "m", ",", "g", ",", "d", ",", "k", ",", "j", ",", "a", ",", "b", ",", 
      "l", ",", "i", ",", "h", ",", "e", ",", "n", ",", "c", ",", "f"}], 
     "}"}]}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"BuscarPrimeroLargo", "[", 
  RowBox[{"grafo", ",", 
   RowBox[{"orden", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
     "m", ",", "g", ",", "d", ",", "k", ",", "j", ",", "a", ",", "b", ",", 
      "l", ",", "i", ",", "h", ",", "e", ",", "n", ",", "c", ",", "f"}], 
     "}"}]}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.815420001335842*^9, 3.81542004491885*^9}},
 CellLabel->
  "In[108]:=",ExpressionUUID->"f889c034-3330-4f83-a67d-56272addf0bf"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"m", ",", "l"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"m", ",", "e"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"m", ",", "n"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"k", ",", "l"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"l", ",", "i"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"l", ",", "f"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"g", ",", "e"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"d", ",", "e"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"k", ",", "j"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"i", ",", "h"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"g", ",", "c"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"d", ",", "b"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"j", ",", "a"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.8154200739811163`*^9, 3.8154210693916845`*^9, 
  3.8154225496526294`*^9},
 CellLabel->
  "Out[108]=",ExpressionUUID->"4632c645-8f6e-413b-b447-e5297d9d5af1"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"m", ",", "l"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"k", ",", "l"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"d", ",", "k"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"d", ",", "b"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"j", ",", "b"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"j", ",", "a"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"a", ",", "h"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"g", ",", "h"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"g", ",", "e"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"e", ",", "f"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"g", ",", "c"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"i", ",", "h"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"i", ",", "n"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.8154200739811163`*^9, 3.8154210693916845`*^9, 
  3.815422549656652*^9},
 CellLabel->
  "Out[109]=",ExpressionUUID->"f91c6e5c-4fba-4f25-9b21-ed49d7249253"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"BuscarPrimeroAncho", "[", 
  RowBox[{"grafo", ",", 
   RowBox[{"orden", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
     "m", ",", "g", ",", "d", ",", "k", ",", "j", ",", "a", ",", "b", ",", 
      "l", ",", "i", ",", "h", ",", "e", ",", "n", ",", "c", ",", "f"}], 
     "}"}]}], ",", 
   RowBox[{"animacion", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.8154200527259674`*^9, 3.8154200631623154`*^9}},
 CellLabel->
  "In[110]:=",ExpressionUUID->"34245e8d-80fc-4a24-bf8e-910d182f78d2"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"m", ",", "l"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"m", ",", "e"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"m", ",", "n"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"k", ",", "l"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"l", ",", "i"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"l", ",", "f"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"g", ",", "e"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"d", ",", "e"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"k", ",", "j"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"i", ",", "h"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"g", ",", "c"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"d", ",", "b"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"j", ",", "a"}], "}"}]}], "}"}]], "Print",
 CellChangeTimes->{3.8154200792919836`*^9, 3.815421444800463*^9, 
  3.815421531917949*^9, 3.815422552563721*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[110]:=",ExpressionUUID->"1e4bc49d-e736-4d0f-ada2-a5a8e45a3457"],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{VilCretas`Private`Gi13$$ = 1, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"sin t\[IAcute]tulo\"", Typeset`specs$$ = {{{
       Hold[VilCretas`Private`Gi13$$], 1, "Aristas"}, 1, 13, 1}}, 
    Typeset`size$$ = {640., {230., 241.51006024858634`}}, Typeset`update$$ = 
    0, Typeset`initDone$$, Typeset`skipInitDone$$ = True}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {VilCretas`Private`Gi13$$ = 1}, 
      "ControllerVariables" :> {}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      HighlightGraph[VilCretas`Private`GGrafoAuxiliar12, 
        Cases[VilCretas`Private`GList6, 
         Condition[
          Pattern[VilCretas`Private`Gicontador10$, 
           Blank[]], 
          MemberQ[
           Table[
           VilCretas`Private`Gi14, {
            VilCretas`Private`Gi14, VilCretas`Private`Gi13$$}], 
           Part[
            Flatten[
             Position[
             VilCretas`Private`GList6, VilCretas`Private`Gicontador10$]], 
            1]]]], VertexLabels -> "Name", ImagePadding -> 
        OptionValue[VilCretas`AnimarGrafo, {}, VilCretas`padding], 
        GraphHighlightStyle -> "Thick"], 
      "Specifications" :> {{{VilCretas`Private`Gi13$$, 1, "Aristas"}, 1, 13, 
         1}}, "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{736., {311.25, 323.75}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UndoTrackedVariables:>{Typeset`show$$, Typeset`bookmarkMode$$},
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Print",
 CellChangeTimes->{3.8154200792919836`*^9, 3.815421444800463*^9, 
  3.815421531917949*^9, 3.8154225525926456`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[110]:=",ExpressionUUID->"0a8b0301-518b-4104-8612-ab0585ef43bf"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"BuscarPrimeroLargo", "[", 
  RowBox[{"grafo", ",", 
   RowBox[{"orden", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
     "m", ",", "g", ",", "d", ",", "k", ",", "j", ",", "a", ",", "b", ",", 
      "l", ",", "i", ",", "h", ",", "e", ",", "n", ",", "c", ",", "f"}], 
     "}"}]}], ",", 
   RowBox[{"animacion", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.815420069517961*^9, 3.8154200698498583`*^9}},
 CellLabel->
  "In[111]:=",ExpressionUUID->"1d7725d1-faad-4a9d-9147-1c5c20a14043"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"m", ",", "l"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"k", ",", "l"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"d", ",", "k"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"d", ",", "b"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"j", ",", "b"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"j", ",", "a"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"a", ",", "h"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"g", ",", "h"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"g", ",", "e"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"e", ",", "f"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"g", ",", "c"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"i", ",", "h"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"i", ",", "n"}], "}"}]}], "}"}]], "Print",
 CellChangeTimes->{3.8154200827067566`*^9, 3.815421494117924*^9, 
  3.815421541934416*^9, 3.815422555272915*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[111]:=",ExpressionUUID->"ab795372-19be-484f-a08e-d44648e8686b"],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{VilCretas`Private`Gi13$$ = 1, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"sin t\[IAcute]tulo\"", Typeset`specs$$ = {{{
       Hold[VilCretas`Private`Gi13$$], 1, "Aristas"}, 1, 13, 1}}, 
    Typeset`size$$ = {640., {230., 241.51006024858634`}}, Typeset`update$$ = 
    0, Typeset`initDone$$, Typeset`skipInitDone$$ = True}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {VilCretas`Private`Gi13$$ = 1}, 
      "ControllerVariables" :> {}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      HighlightGraph[VilCretas`Private`GGrafoAuxiliar12, 
        Cases[VilCretas`Private`GList6, 
         Condition[
          Pattern[VilCretas`Private`Gicontador10$, 
           Blank[]], 
          MemberQ[
           Table[
           VilCretas`Private`Gi14, {
            VilCretas`Private`Gi14, VilCretas`Private`Gi13$$}], 
           Part[
            Flatten[
             Position[
             VilCretas`Private`GList6, VilCretas`Private`Gicontador10$]], 
            1]]]], VertexLabels -> "Name", ImagePadding -> 
        OptionValue[VilCretas`AnimarGrafo, {}, VilCretas`padding], 
        GraphHighlightStyle -> "Thick"], 
      "Specifications" :> {{{VilCretas`Private`Gi13$$, 1, "Aristas"}, 1, 13, 
         1}}, "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{736., {311.25, 323.75}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UndoTrackedVariables:>{Typeset`show$$, Typeset`bookmarkMode$$},
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Print",
 CellChangeTimes->{3.8154200827067566`*^9, 3.815421494117924*^9, 
  3.815421541934416*^9, 3.8154225553010893`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[111]:=",ExpressionUUID->"32fe8d08-29e1-4a00-8b16-d97fecba1a68"]
}, Open  ]]
}, Open  ]]
},
WindowSize->{949, 467},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
Magnification:>1.5 Inherited,
FrontEndVersion->"12.1 para Microsoft Windows (64-bit) (March 14, 2020)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"4bc87818-fc06-4fdb-b5c6-6d22814704e3"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 182, 4, 63, "Input",ExpressionUUID->"598afc19-aa3f-4a0c-85db-d3be449b5c22"],
Cell[CellGroupData[{
Cell[765, 28, 2367, 68, 351, "Input",ExpressionUUID->"96556553-88c0-4503-b9ab-f15e6461129e"],
Cell[3135, 98, 5462, 117, 558, "Output",ExpressionUUID->"5a845fa1-9de8-4b60-bab3-4c465546d6c0"]
}, Open  ]],
Cell[CellGroupData[{
Cell[8634, 220, 795, 19, 308, "Input",ExpressionUUID->"f889c034-3330-4f83-a67d-56272addf0bf"],
Cell[9432, 241, 998, 32, 188, "Output",ExpressionUUID->"4632c645-8f6e-413b-b447-e5297d9d5af1"],
Cell[10433, 275, 996, 32, 188, "Output",ExpressionUUID->"f91c6e5c-4fba-4f25-9b21-ed49d7249253"]
}, Open  ]],
Cell[CellGroupData[{
Cell[11466, 312, 526, 12, 212, "Input",ExpressionUUID->"34245e8d-80fc-4a24-bf8e-910d182f78d2"],
Cell[CellGroupData[{
Cell[12017, 328, 1050, 33, 131, "Print",ExpressionUUID->"1e4bc49d-e736-4d0f-ada2-a5a8e45a3457"],
Cell[13070, 363, 2372, 51, 655, "Print",ExpressionUUID->"0a8b0301-518b-4104-8612-ab0585ef43bf"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[15491, 420, 524, 12, 212, "Input",ExpressionUUID->"1d7725d1-faad-4a9d-9147-1c5c20a14043"],
Cell[CellGroupData[{
Cell[16040, 436, 1050, 33, 131, "Print",ExpressionUUID->"ab795372-19be-484f-a08e-d44648e8686b"],
Cell[17093, 471, 2372, 51, 655, "Print",ExpressionUUID->"32fe8d08-29e1-4a00-8b16-d97fecba1a68"]
}, Open  ]]
}, Open  ]]
}
]
*)

